| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
Stdio
Stdio.UDP

# Method Stdio.UDP()->connect()

Method connect

  `int(0..1) connect(string address, int|string port)`

Description

  Establish an UDP connection.

  This function connects an UDP socket previously created with Stdio.UDP() to a remote socket. The address is the IP name or number for the remote machine.

Returns

  Returns `1` on success, `0` (zero) otherwise.

Note

  If the socket is in nonblocking mode, you have to wait for a write or close callback before you know if the connection failed or not.

See also

  bind() , query_address()